# PayRange 

Tools for analyzing the PayRange BluKey BLE protocol.

## Scanning

```
Usage: payrange scan [OPTIONS]
                            
  Scan for BLE devices.     

Options:
  -m, --mac-prefix TEXT   Only include devices with MAC address prefix.
  -p, --name-prefix TEXT  Only include devices with name prefix.
  -n, --count INTEGER     Stop after finding N devices.
  -t, --duration FLOAT    Stop after T seconds.
```

```
Usage: payrange rssi [OPTIONS]

  Collect RSSI statistics for BLE devices.

Options:
  -m, --mac-prefix TEXT   Only include devices with MAC address prefix.
  -p, --name-prefix TEXT  Only include devices with name prefix.
  -n, --count INTEGER     Stop after finding N devices.
  -t, --duration FLOAT    Stop after T seconds.
```

```
Usage: payrange mfgdata [OPTIONS]

  Capture manufacturer specific data transmitted in advertising packets.

Options:
  -m, --mac-prefix TEXT   Only include devices with MAC address prefix.
  -p, --name-prefix TEXT  Only include devices with name prefix.
  -n, --count INTEGER     Stop after finding N devices.
  -t, --duration FLOAT    Stop after T seconds.
```

## BLE Characteristics

```
Usage: payrange findchars ADDRESS

  Discover BLE characteristics available on a given device.
```

```
Usage: payrange readchars ADDRESS [CHARACTERISTICS]...

  Read characteristic values from one or many devices.

  Either argument may be replaced with a file containing the output of `scan`
  or `findchars`.
```
